Bug 1128113 - [RFE] Backport support for sd_watchdog_enabled()
Summary: [RFE] Backport support for sd_watchdog_enabled()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 10:22 UTC by M. Scherer
Modified: 2015-11-19 14:57 UTC (History)
5 users (show)

Fixed In Version: systemd-219-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 14:57:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2092 normal SHIPPED_LIVE systemd bug fix and enhancement update 2015-11-19 12:13:57 UTC

Description M. Scherer 2014-08-08 10:22:16 UTC
Description of problem:
systemd version 209 has a helper function called "sd_watchdog_enabled" , which ease the development of the software watchdog code. But since systemd on rhel 7 is version 208, this function doesn't exist, which mean that any software wanting to use the feature will either need cut and paste ( so code duplication ), or not use software watchdog on RHEL7. Since I expect upstream to do use this function most of the time, and since this will not add any feature ( that's mostly just a helper function ), would it be possible to backport it ?

Comment 4 Lukáš Nykrýn 2015-04-21 13:51:07 UTC
This should be now fixed with the rebase.

Comment 7 errata-xmlrpc 2015-11-19 14:57:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2092.html


Note You need to log in before you can comment on or make changes to this bug.